[elinks-users] elinks-current + spidermonkey -> bus error MacOS

Breen Mullins breen.mullins at gmail.com
Mon Sep 3 08:38:35 PDT 2007


* Thomas Adam <thomas.adam22 at gmail.com> [2007-09-02 16:50 +0100]:

>On 02/09/07, Breen Mullins <breen.mullins at gmail.com> wrote:
>> I've been trying to get ECMA/javascript working with elinks.
>>
>> I'm running Mac OS 10.3.9. I installed spidermonkey from fink:
>>
>>
>>    i    spidermonkey    1.60-2  Mozilla JavaScript-C Engine
>
>Doesn't Fink provide a newer version?  Last time I checked, the
>libraries were up to 1.8.1.4

The versions of spidermonkey and nspr that I got from fink yesterday 
appear to be up to date:

nspr-4.6.6-1: Netscape Portable Runtime
spidermonkey-1.60-2: Mozilla JavaScript-C Engine

which both match the mozilla website. (Actually moz says that nspr
is at 4.6.5, but the ftp site is up to 4.6.7)

I hacked the suggested linker flag bind_at_load into the Makefile, which
suppressed the error message, but I still get the bus error running the 
resulting binary. I'm out of ideas - can anybody enlighten me?

Breen
-- 
Breen Mullins
Menlo Park, California



More information about the elinks-users mailing list